Version project
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/version \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"description": "<string>",
"makePublic": true,
"bucketId": 123,
"runModelTestingWhileVersioning": true
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/version"
payload = {
"description": "<string>",
"makePublic": True,
"bucketId": 123,
"runModelTestingWhileVersioning": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
makePublic: true,
bucketId: 123,
runModelTestingWhileVersioning: true
})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/version', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": 12873488112,
"error": "<string>"
}Version project
Create a new version of the project. This stores all data and configuration offsite. If you have access to the enterprise version of Edge Impulse you can store your data in your own storage buckets (only through JWT token authentication).
POST
/
api
/
{projectId}
/
jobs
/
version
Version project
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Body
application/json
Whether to make this version available on a public URL.
Data bucket ID. Keep empty to store in Edge Impulse hosted storage.
Whether to run model testing when creating this version (if this value is omitted, it will use the current state of 'runModelTestingWhileVersioning' that is returned in ListVersionsResponse).
Was this page helpful?
⌘I